API reference / Courses
Retrieve a course
GET
/v1/courses/{id}Needs a bearer access token with the courses.read scope. How authentication works
One published course, by id. A draft course, or an id that doesn't exist, returns 404.
Path parameters
idstring · uuidpathrequiredThe course's id.
Responses
- 200The course
Response fields
dataCourseidstring · uuidcodestringnullabletitlestringslugstringshort_descriptionstringnullablecategory_idstring · uuidnullablecourse_typestringAllowed values:
self_pacedinstructor_ledis_freebooleanprice_centsintegerhas_certificationbooleanlevelstringnullablecreated_atstring · date-time
- 404Not foundExample response
{ "error": { "code": "not_found", "message": "Not found." } }
